# Tokens

Authgear uses industry-standard tokens to manage user authentication and authorization. This section covers the different types of tokens, their structure, and how to use them in your applications.

## Token Types

Authgear provides several types of tokens for different purposes:

* **JWT Access Tokens**: Used for authorizing API calls and accessing protected resources
* **M2M Tokens**: They are JWT access token issued to M2M applications for authorizing API calls and accessing protected resources.
* **Refresh Tokens**: Used to obtain new access tokens when they expire
* **ID Tokens**: Contain user identity information for OpenID Connect flows

## Token Contents

Get details about what claims are returned in the JWT access token and response from the UserInfo endpoint by Authgear.

{% content-ref url="/pages/X9K86FdtBnV15lLZZ7MI" %}
[JWT Access Token](/reference/tokens/jwt-access-token.md)
{% endcontent-ref %}

{% content-ref url="/pages/LhSPW29FkjYbiBSUdtal" %}
[M2M Tokens](/reference/tokens/m2m-tokens.md)
{% endcontent-ref %}

{% content-ref url="/pages/BUvPRlhhQffnGYGj953U" %}
[Refresh Token](/reference/tokens/refresh-token.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.authgear.com/reference/tokens.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
